Loading...
Searching...
No Matches
groebnerCone.h File Reference

implementation of the class groebnerCone More...

`#include "kernel/polys.h"`
`#include "Singular/ipid.h"`
`#include "polys/monomials/ring.h"`
`#include "polys/simpleideals.h"`
`#include "kernel/ideals.h"`
`#include "gfanlib/gfanlib.h"`
`#include "tropicalStrategy.h"`

Go to the source code of this file.

## Data Structures

class | groebnerCone
struct | groebnerCone_compare

## Typedefs

typedef std::set< groebnerCone, groebnerCone_compare > | groebnerCones

## Functions

gfan::ZFan * | toFanStar (groebnerCones setOfCones)

## Detailed Description

implementation of the class groebnerCone

groebnerCone is a class that encapsulates relevant (possibly redundant) information about a groebnerCone. Moreover, it contains implrementation of several highly non-trivial algorithms, such as computing its neighbours in the Groebner fan or computing its neighbours in the tropical variety.

Definition in file groebnerCone.h.

## Typedef Documentation

## groebnerCones

typedef std::set<groebnerCone,groebnerCone_compare> groebnerCones

Definition at line 24 of file groebnerCone.h.

## Function Documentation

## toFanStar()

gfan::ZFan * toFanStar | ( | groebnerCones | setOfCones | ) |

Definition at line 461 of file groebnerCone.cc.

{
if (setOfCones.size() > 0)
{
groebnerCones::iterator sigma = setOfCones.begin();
gfan::ZFan* zf = new gfan::ZFan(sigma->getPolyhedralCone().ambientDimension());
for (; sigma!=setOfCones.end(); sigma++)
{
gfan::ZCone zc = sigma->getPolyhedralCone();
// assume(isCompatible(zf,&zc));
zf->insert(zc);
}
return zf;
}
else
return new gfan::ZFan(gfan::ZFan(currRing->N));
}
currRing
VAR ring currRing
Widely used global variable which specifies the current polynomial ring for Singular interpreter and ...
Definition polys.cc:13